Bug 157164 - can't declare class as a friend
can't declare class as a friend
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-07 18:48 EDT by David Juran
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-14 07:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2005-05-07 18:48:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
It seems like there is a problem declaring a class as a friend. When I try to rebuild beecrypt, I get the following error message:

CertificateFactory.cxx: In static member function 'static beecrypt::security::cert::CertificateFactory* beecrypt::security: :cert::CertificateFactory::getInstance(const beecrypt::lang::String&)':
../../../beecrypt/c++/security/Security.h:81: error: 'struct beecrypt::security::Security::spi' is private
CertificateFactory.cxx:48: error: within this context


Version-Release number of selected component (if applicable):
gcc-4.0.0-4

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild beecrypt-4.1.2-5.src.rpm


Additional info:
Comment 1 David Juran 2005-05-14 07:01:01 EDT
Looking closer at the code, it seems that the compiler in deed does adhere to
the specification and the code is faulty. Don't mind me, I'll go bother someone
else...

Note You need to log in before you can comment on or make changes to this bug.